Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/form_utils.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/form_utils.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/form_utils.js	(revision 1)
@@ -0,0 +1,193 @@
+/**
+ * $Id: form_utils.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * Various form utilitiy functions.
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+var themeBaseURL = tinyMCEPopup.editor.baseURI.toAbsolute('themes/' + tinyMCEPopup.getParam("theme"));
+
+function getColorPickerHTML(id, target_form_element) {
+	var h = "";
+
+	h += '<a id="' + id + '_link" href="javascript:;" onclick="tinyMCEPopup.pickColor(event,\'' + target_form_element +'\');" onmousedown="return false;" class="pickcolor">';
+	h += '<span id="' + id + '" title="' + tinyMCEPopup.getLang('browse') + '"></span></a>';
+
+	return h;
+}
+
+function updateColor(img_id, form_element_id) {
+	document.getElementById(img_id).style.backgroundColor = document.forms[0].elements[form_element_id].value;
+}
+
+function setBrowserDisabled(id, state) {
+	var img = document.getElementById(id);
+	var lnk = document.getElementById(id + "_link");
+
+	if (lnk) {
+		if (state) {
+			lnk.setAttribute("realhref", lnk.getAttribute("href"));
+			lnk.removeAttribute("href");
+			tinyMCEPopup.dom.addClass(img, 'disabled');
+		} else {
+			lnk.setAttribute("href", lnk.getAttribute("realhref"));
+			tinyMCEPopup.dom.removeClass(img, 'disabled');
+		}
+	}
+}
+
+function getBrowserHTML(id, target_form_element, type, prefix) {
+	var option = prefix + "_" + type + "_browser_callback", cb, html;
+
+	cb = tinyMCEPopup.getParam(option, tinyMCEPopup.getParam("file_browser_callback"));
+
+	if (!cb)
+		return "";
+
+	html = "";
+	html += '<a id="' + id + '_link" href="javascript:openBrowser(\'' + id + '\',\'' + target_form_element + '\', \'' + type + '\',\'' + option + '\');" onmousedown="return false;" class="browse">';
+	html += '<span id="' + id + '" title="' + tinyMCEPopup.getLang('browse') + '"></span></a>';
+
+	return html;
+}
+
+function openBrowser(img_id, target_form_element, type, option) {
+	var img = document.getElementById(img_id);
+
+	if (img.className != "mceButtonDisabled")
+		tinyMCEPopup.openBrowser(target_form_element, type, option);
+}
+
+function selectByValue(form_obj, field_name, value, add_custom, ignore_case) {
+	if (!form_obj || !form_obj.elements[field_name])
+		return;
+
+	var sel = form_obj.elements[field_name];
+
+	var found = false;
+	for (var i=0; i<sel.options.length; i++) {
+		var option = sel.options[i];
+
+		if (option.value == value || (ignore_case && option.value.toLowerCase() == value.toLowerCase())) {
+			option.selected = true;
+			found = true;
+		} else
+			option.selected = false;
+	}
+
+	if (!found && add_custom && value != '') {
+		var option = new Option(value, value);
+		option.selected = true;
+		sel.options[sel.options.length] = option;
+		sel.selectedIndex = sel.options.length - 1;
+	}
+
+	return found;
+}
+
+function getSelectValue(form_obj, field_name) {
+	var elm = form_obj.elements[field_name];
+
+	if (elm == null || elm.options == null)
+		return "";
+
+	return elm.options[elm.selectedIndex].value;
+}
+
+function addSelectValue(form_obj, field_name, name, value) {
+	var s = form_obj.elements[field_name];
+	var o = new Option(name, value);
+	s.options[s.options.length] = o;
+}
+
+function addClassesToList(list_id, specific_option) {
+	// Setup class droplist
+	var styleSelectElm = document.getElementById(list_id);
+	var styles = tinyMCEPopup.getParam('theme_advanced_styles', false);
+	styles = tinyMCEPopup.getParam(specific_option, styles);
+
+	if (styles) {
+		var stylesAr = styles.split(';');
+
+		for (var i=0; i<stylesAr.length; i++) {
+			if (stylesAr != "") {
+				var key, value;
+
+				key = stylesAr[i].split('=')[0];
+				value = stylesAr[i].split('=')[1];
+
+				styleSelectElm.options[styleSelectElm.length] = new Option(key, value);
+			}
+		}
+	} else {
+		tinymce.each(tinyMCEPopup.editor.dom.getClasses(), function(o) {
+			styleSelectElm.options[styleSelectElm.length] = new Option(o.title || o['class'], o['class']);
+		});
+	}
+}
+
+function isVisible(element_id) {
+	var elm = document.getElementById(element_id);
+
+	return elm && elm.style.display != "none";
+}
+
+function convertRGBToHex(col) {
+	var re = new RegExp("rgb\\s*\\(\\s*([0-9]+).*,\\s*([0-9]+).*,\\s*([0-9]+).*\\)", "gi");
+
+	var rgb = col.replace(re, "$1,$2,$3").split(',');
+	if (rgb.length == 3) {
+		r = parseInt(rgb[0]).toString(16);
+		g = parseInt(rgb[1]).toString(16);
+		b = parseInt(rgb[2]).toString(16);
+
+		r = r.length == 1 ? '0' + r : r;
+		g = g.length == 1 ? '0' + g : g;
+		b = b.length == 1 ? '0' + b : b;
+
+		return "#" + r + g + b;
+	}
+
+	return col;
+}
+
+function convertHexToRGB(col) {
+	if (col.indexOf('#') != -1) {
+		col = col.replace(new RegExp('[^0-9A-F]', 'gi'), '');
+
+		r = parseInt(col.substring(0, 2), 16);
+		g = parseInt(col.substring(2, 4), 16);
+		b = parseInt(col.substring(4, 6), 16);
+
+		return "rgb(" + r + "," + g + "," + b + ")";
+	}
+
+	return col;
+}
+
+function trimSize(size) {
+	return size.replace(new RegExp('[^0-9%]', 'gi'), '');
+}
+
+function getCSSSize(size) {
+	size = trimSize(size);
+
+	if (size == "")
+		return "";
+
+	return size.indexOf('%') != -1 ? size : size + "px";
+}
+
+function getStyle(elm, attrib, style) {
+	var val = tinyMCEPopup.dom.getAttrib(elm, attrib);
+
+	if (val != '')
+		return '' + val;
+
+	if (typeof(style) == 'undefined')
+		style = attrib;
+
+	return tinyMCEPopup.dom.getStyle(elm, style);
+}
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mclayer.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mclayer.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mclayer.js	(revision 1)
@@ -0,0 +1,210 @@
+/**
+ * $Id: mclayer.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * Moxiecode floating layer script.
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+function MCLayer(id) {
+	this.id = id;
+	this.settings = new Array();
+	this.blockerElement = null;
+	this.isMSIE = navigator.appName == "Microsoft Internet Explorer";
+	this.events = false;
+	this.autoHideCallback = null;
+}
+
+MCLayer.prototype = {
+	moveRelativeTo : function(re, p, a) {
+		var rep = this.getAbsPosition(re);
+		var w = parseInt(re.offsetWidth);
+		var h = parseInt(re.offsetHeight);
+		var x, y;
+
+		switch (p) {
+			case "tl":
+				break;
+
+			case "tr":
+				x = rep.absLeft + w;
+				y = rep.absTop;
+				break;
+
+			case "bl":
+				break;
+
+			case "br":
+				break;
+		}
+
+		this.moveTo(x, y);
+	},
+
+	moveBy : function(dx, dy) {
+		var e = this.getElement();
+		var x = parseInt(e.style.left);
+		var y = parseInt(e.style.top);
+
+		e.style.left = (x + dx) + "px";
+		e.style.top = (y + dy) + "px";
+
+		this.updateBlocker();
+	},
+
+	moveTo : function(x, y) {
+		var e = this.getElement();
+
+		e.style.left = x + "px";
+		e.style.top = y + "px";
+
+		this.updateBlocker();
+	},
+
+	show : function() {
+		MCLayer.visibleLayer = this;
+
+		this.getElement().style.display = 'block';
+		this.updateBlocker();
+	},
+
+	hide : function() {
+		this.getElement().style.display = 'none';
+		this.updateBlocker();
+	},
+
+	setAutoHide : function(s, cb) {
+		this.autoHideCallback = cb;
+		this.registerEventHandlers();
+	},
+
+	getElement : function() {
+		return document.getElementById(this.id);
+	},
+
+	updateBlocker : function() {
+		if (!this.isMSIE)
+			return;
+
+		var e = this.getElement();
+		var b = this.getBlocker();
+		var x = this.parseInt(e.style.left);
+		var y = this.parseInt(e.style.top);
+		var w = this.parseInt(e.offsetWidth);
+		var h = this.parseInt(e.offsetHeight);
+
+		b.style.left = x + 'px';
+		b.style.top = y + 'px';
+		b.style.width = w + 'px';
+		b.style.height = h + 'px';
+		b.style.display = e.style.display;
+	},
+
+	getBlocker : function() {
+		if (!this.blockerElement) {
+			var d = document, b = d.createElement("iframe");
+
+			b.style.cssText = 'display: none; left: 0px; position: absolute; top: 0';
+			b.src = 'javascript:false;';
+			b.frameBorder = '0';
+			b.scrolling = 'no';
+
+			d.body.appendChild(b);
+			this.blockerElement = b;
+		}
+
+		return this.blockerElement;
+	},
+
+	getAbsPosition : function(n) {
+		var p = {absLeft : 0, absTop : 0};
+
+		while (n) {
+			p.absLeft += n.offsetLeft;
+			p.absTop += n.offsetTop;
+			n = n.offsetParent;
+		}
+
+		return p;
+	},
+
+	registerEventHandlers : function() {
+		if (!this.events) {
+			var d = document;
+
+			this.addEvent(d, 'mousedown', MCLayer.prototype.onMouseDown);
+
+			this.events = true;
+		}
+	},
+
+	addEvent : function(o, n, h) {
+		if (o.attachEvent)
+			o.attachEvent("on" + n, h);
+		else
+			o.addEventListener(n, h, false);
+	},
+
+	onMouseDown : function(e) {
+		e = typeof(e) == "undefined" ? window.event : e;
+		var b = document.body;
+		var l = MCLayer.visibleLayer;
+
+		if (l) {
+			var mx = l.isMSIE ? e.clientX + b.scrollLeft : e.pageX;
+			var my = l.isMSIE ? e.clientY + b.scrollTop : e.pageY;
+			var el = l.getElement();
+			var x = parseInt(el.style.left);
+			var y = parseInt(el.style.top);
+			var w = parseInt(el.offsetWidth);
+			var h = parseInt(el.offsetHeight);
+
+			if (!(mx > x && mx < x + w && my > y && my < y + h)) {
+				MCLayer.visibleLayer = null;
+
+				if (l.autoHideCallback && l.autoHideCallback(l, e, mx, my))
+					return true;
+
+				l.hide();
+			}
+		}
+	},
+
+	addCSSClass : function(e, c) {
+		this.removeCSSClass(e, c);
+		var a = this.explode(' ', e.className);
+		a[a.length] = c;
+		e.className = a.join(' ');
+	},
+
+	removeCSSClass : function(e, c) {
+		var a = this.explode(' ', e.className), i;
+
+		for (i=0; i<a.length; i++) {
+			if (a[i] == c)
+				a[i] = '';
+		}
+
+		e.className = a.join(' ');
+	},
+
+	explode : function(d, s) {
+		var ar = s.split(d);
+		var oar = new Array();
+
+		for (var i = 0; i<ar.length; i++) {
+			if (ar[i] != "")
+				oar[oar.length] = ar[i];
+		}
+
+		return oar;
+	},
+
+	parseInt : function(s) {
+		if (s == null || s == '')
+			return 0;
+
+		return parseInt(s);
+	}
+}
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mctabs.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mctabs.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/mctabs.js	(revision 1)
@@ -0,0 +1,74 @@
+/**
+ * $Id: mctabs.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * Moxiecode DHTML Tabs script.
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+function MCTabs() {
+	this.settings = new Array();
+};
+
+MCTabs.prototype.init = function(settings) {
+	this.settings = settings;
+};
+
+MCTabs.prototype.getParam = function(name, default_value) {
+	var value = null;
+
+	value = (typeof(this.settings[name]) == "undefined") ? default_value : this.settings[name];
+
+	// Fix bool values
+	if (value == "true" || value == "false")
+		return (value == "true");
+
+	return value;
+};
+
+MCTabs.prototype.displayTab = function(tab_id, panel_id) {
+	var panelElm = document.getElementById(panel_id);
+	var panelContainerElm = panelElm ? panelElm.parentNode : null;
+	var tabElm = document.getElementById(tab_id);
+	var tabContainerElm = tabElm ? tabElm.parentNode : null;
+	var selectionClass = this.getParam('selection_class', 'current');
+
+	if (tabElm && tabContainerElm) {
+		var nodes = tabContainerElm.childNodes;
+
+		// Hide all other tabs
+		for (var i=0; i<nodes.length; i++) {
+			if (nodes[i].nodeName == "LI")
+				nodes[i].className = '';
+		}
+
+		// Show selected tab
+		tabElm.className = 'current';
+	}
+
+	if (panelElm && panelContainerElm) {
+		var nodes = panelContainerElm.childNodes;
+
+		// Hide all other panels
+		for (var i=0; i<nodes.length; i++) {
+			if (nodes[i].nodeName == "DIV")
+				nodes[i].className = 'panel';
+		}
+
+		// Show selected panel
+		panelElm.className = 'current';
+	}
+};
+
+MCTabs.prototype.getAnchor = function() {
+	var pos, url = document.location.href;
+
+	if ((pos = url.lastIndexOf('#')) != -1)
+		return url.substring(pos + 1);
+
+	return "";
+};
+
+// Global instance
+var mcTabs = new MCTabs();
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/validate.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/validate.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/utils/validate.js	(revision 1)
@@ -0,0 +1,219 @@
+/**
+ * $Id: validate.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * Various form validation methods.
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+/**
+	// String validation:
+
+	if (!Validator.isEmail('myemail'))
+		alert('Invalid email.');
+
+	// Form validation:
+
+	var f = document.forms['myform'];
+
+	if (!Validator.isEmail(f.myemail))
+		alert('Invalid email.');
+*/
+
+var Validator = {
+	isEmail : function(s) {
+		return this.test(s, '^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+@[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$');
+	},
+
+	isAbsUrl : function(s) {
+		return this.test(s, '^(news|telnet|nttp|file|http|ftp|https)://[-A-Za-z0-9\\.]+\\/?.*$');
+	},
+
+	isSize : function(s) {
+		return this.test(s, '^[0-9]+(px|%)?$');
+	},
+
+	isId : function(s) {
+		return this.test(s, '^[A-Za-z_]([A-Za-z0-9_])*$');
+	},
+
+	isEmpty : function(s) {
+		var nl, i;
+
+		if (s.nodeName == 'SELECT' && s.selectedIndex < 1)
+			return true;
+
+		if (s.type == 'checkbox' && !s.checked)
+			return true;
+
+		if (s.type == 'radio') {
+			for (i=0, nl = s.form.elements; i<nl.length; i++) {
+				if (nl[i].type == "radio" && nl[i].name == s.name && nl[i].checked)
+					return false;
+			}
+
+			return true;
+		}
+
+		return new RegExp('^\\s*$').test(s.nodeType == 1 ? s.value : s);
+	},
+
+	isNumber : function(s, d) {
+		return !isNaN(s.nodeType == 1 ? s.value : s) && (!d || !this.test(s, '^-?[0-9]*\\.[0-9]*$'));
+	},
+
+	test : function(s, p) {
+		s = s.nodeType == 1 ? s.value : s;
+
+		return s == '' || new RegExp(p).test(s);
+	}
+};
+
+var AutoValidator = {
+	settings : {
+		id_cls : 'id',
+		int_cls : 'int',
+		url_cls : 'url',
+		number_cls : 'number',
+		email_cls : 'email',
+		size_cls : 'size',
+		required_cls : 'required',
+		invalid_cls : 'invalid',
+		min_cls : 'min',
+		max_cls : 'max'
+	},
+
+	init : function(s) {
+		var n;
+
+		for (n in s)
+			this.settings[n] = s[n];
+	},
+
+	validate : function(f) {
+		var i, nl, s = this.settings, c = 0;
+
+		nl = this.tags(f, 'label');
+		for (i=0; i<nl.length; i++)
+			this.removeClass(nl[i], s.invalid_cls);
+
+		c += this.validateElms(f, 'input');
+		c += this.validateElms(f, 'select');
+		c += this.validateElms(f, 'textarea');
+
+		return c == 3;
+	},
+
+	invalidate : function(n) {
+		this.mark(n.form, n);
+	},
+
+	reset : function(e) {
+		var t = new Array('label', 'input', 'select', 'textarea');
+		var i, j, nl, s = this.settings;
+
+		if (e == null)
+			return;
+
+		for (i=0; i<t.length; i++) {
+			nl = this.tags(e.form ? e.form : e, t[i]);
+			for (j=0; j<nl.length; j++)
+				this.removeClass(nl[j], s.invalid_cls);
+		}
+	},
+
+	validateElms : function(f, e) {
+		var nl, i, n, s = this.settings, st = true, va = Validator, v;
+
+		nl = this.tags(f, e);
+		for (i=0; i<nl.length; i++) {
+			n = nl[i];
+
+			this.removeClass(n, s.invalid_cls);
+
+			if (this.hasClass(n, s.required_cls) && va.isEmpty(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.number_cls) && !va.isNumber(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.int_cls) && !va.isNumber(n, true))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.url_cls) && !va.isAbsUrl(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.email_cls) && !va.isEmail(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.size_cls) && !va.isSize(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.id_cls) && !va.isId(n))
+				st = this.mark(f, n);
+
+			if (this.hasClass(n, s.min_cls, true)) {
+				v = this.getNum(n, s.min_cls);
+
+				if (isNaN(v) || parseInt(n.value) < parseInt(v))
+					st = this.mark(f, n);
+			}
+
+			if (this.hasClass(n, s.max_cls, true)) {
+				v = this.getNum(n, s.max_cls);
+
+				if (isNaN(v) || parseInt(n.value) > parseInt(v))
+					st = this.mark(f, n);
+			}
+		}
+
+		return st;
+	},
+
+	hasClass : function(n, c, d) {
+		return new RegExp('\\b' + c + (d ? '[0-9]+' : '') + '\\b', 'g').test(n.className);
+	},
+
+	getNum : function(n, c) {
+		c = n.className.match(new RegExp('\\b' + c + '([0-9]+)\\b', 'g'))[0];
+		c = c.replace(/[^0-9]/g, '');
+
+		return c;
+	},
+
+	addClass : function(n, c, b) {
+		var o = this.removeClass(n, c);
+		n.className = b ? c + (o != '' ? (' ' + o) : '') : (o != '' ? (o + ' ') : '') + c;
+	},
+
+	removeClass : function(n, c) {
+		c = n.className.replace(new RegExp("(^|\\s+)" + c + "(\\s+|$)"), ' ');
+		return n.className = c != ' ' ? c : '';
+	},
+
+	tags : function(f, s) {
+		return f.getElementsByTagName(s);
+	},
+
+	mark : function(f, n) {
+		var s = this.settings;
+
+		this.addClass(n, s.invalid_cls);
+		this.markLabels(f, n, s.invalid_cls);
+
+		return false;
+	},
+
+	markLabels : function(f, n, ic) {
+		var nl, i;
+
+		nl = this.tags(f, "label");
+		for (i=0; i<nl.length; i++) {
+			if (nl[i].getAttribute("for") == n.id || nl[i].htmlFor == n.id)
+				this.addClass(nl[i], ic);
+		}
+
+		return null;
+	}
+};
Index: /branches/rsr.v5.1.dev/web/app/run/01_functions.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/01_functions.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/01_functions.php	(revision 1)
@@ -0,0 +1,15 @@
+<?php
+
+  function _redirect($env, $url, $message, $wait = 1)
+  { $env->e = "redirect";
+    $env->out["redirect"] = array();
+    $env->out["redirect"]["url"] = str_replace("&amp;", "&", $url);
+    $env->out["redirect"]["message"] = $message;
+    $env->out["redirect"]["wait"] = $wait;
+  }
+
+  function debug($content)
+  { echo "<pre class=\"debug\">\n".htmlentities(print_r($content, true))."</pre>\n";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/02_punbb.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/02_punbb.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/02_punbb.php	(revision 1)
@@ -0,0 +1,11 @@
+<?php
+
+  if(true || ($_GET[$env->param("e")] !== "down" && $_GET[$env->param("e")] !== "m3u"))
+  { define("PUN_ROOT", $env->path("punbb"));
+    require_once $env->path("punbb").'include/common.php';
+    require_once $env->path("punbb")."include/parser.php";
+  }
+  $env->pun_user = $pun_user;
+  $env->db = $db;
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/03_data.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/03_data.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/03_data.php	(revision 1)
@@ -0,0 +1,10 @@
+<?php
+
+  if(!$env->erreur)
+  { require $env->path("app")."data/sql.php";
+    require $env->path("app")."data/data.php";
+    $env->data = new data(new sql($env->db, $env->bdd["prefix_code"], $env->bdd["prefix"]), $env);
+    $env->data->load_modules($env->path("app")."data/modules/", true);
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/04_env.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/04_env.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/04_env.php	(revision 1)
@@ -0,0 +1,16 @@
+<?php
+
+  if(!$env->erreur) :
+
+  $env->e = "";
+  $env->message = "";
+  $env->erreur = "";
+  $env->out = array();
+
+  if($env->set_config($env->data->config()) === false) $env->erreur = "Impossible de lire la configuration en base";
+
+  $env->start = isset($_GET[$env->param("start")]) ? $_GET[$env->param("start")] : 0;
+
+  endif;
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/05_identification.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/05_identification.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/05_identification.php	(revision 1)
@@ -0,0 +1,41 @@
+<?php
+
+  if(!$env->erreur) :
+
+  if($_GET[$env->param("login")])
+  { if($_GET[$env->param("login")] === "in") _login($env);
+    elseif($_GET[$env->param("login")] === "out") _logout($env);
+  }
+
+  $env->pun_user["is_super_admin"] = $env->data->is_super_admin($env->pun_user["id"]);
+
+  endif;
+
+  function _login($env)
+  { if(isset($_POST['form_sent']))
+    { if($env->pun_user['is_guest'])
+      { if($env->data->pun_login_ok(trim($_POST['req_username']), trim($_POST['req_password']), $env->db))
+        { _redirect
+          ( $env,
+            isset($_GET["from"]) ? urldecode($_GET["from"]) : $env->url(array("e" => "accueil")),
+            "Vous &ecirc;tes maintenant identifi&eacute; en tant que ".$_POST['req_username']
+          );
+        }
+        else $env->message =
+         "Vous avez oubli&eacute; votre mot de passe ?"
+        ." Cliquez <a href=\"".$env->path("punbb")."login.php?action=forget\">ici</a> pour en obtenir un nouveau.";
+      }
+      else $env->message = "Vous &ecirc;tes d&eacute;j&agrave; identifi&eacute;";
+    }
+  }
+
+  function _logout($env)
+  { $env->data->pun_logout($env->pun_user, $env->db);
+    _redirect
+    ( $env,
+      $env->url(array("e" => "")),
+      "Vous n'&ecirc;tes plus identifi&eacute; sur le site"
+    );
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/06_route.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/06_route.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/06_route.php	(revision 1)
@@ -0,0 +1,47 @@
+<?php
+
+  if($env->e !== "redirect" && !$env->erreur)
+  {
+
+    $env->e = "";
+    $env->mod_path = "";
+
+    if($_SERVER["SCRIPT_NAME"])
+    { $v_path = explode("/", $_SERVER["SCRIPT_NAME"]);
+
+      if(count($v_path) > 1)
+      { switch($v_path[count($v_path) - 2])
+        { case "punbb":
+            $env->e = "forum";
+            $env->mod_path = "";
+            break;
+          default:
+        }
+      }
+      if(!$env->e)
+      { define('PUN_QUIET_VISIT', 1);
+        switch($v_path[count($v_path) - 1])
+        { case "index.php":
+          case "download.php":
+          case "backend.php":
+            $env->e = $_GET[$env->param("e")] ? $_GET[$env->param("e")] : "edito";
+            $env->mod_path = "";
+            break;
+          case "post_request.php":
+            require $env->path("app")."data/str_tab.php";
+            $env->str_tab = new str_tab();
+            $env->request = $env->str_tab->request_tab($_POST["post_request"]);
+            $env->e = isset($env->request["function"]) ? $env->request["function"] : "";
+            $env->DATA = isset($env->request["DATA"]) ? $env->request["DATA"] : array();
+            $env->mod_path = "post_request/";
+            $env->reponse = array();
+            break;
+          default:
+        }
+      }
+    }
+
+  }
+  if($env->erreur) $env->e = "erreur";
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/07_mods.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/07_mods.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/07_mods.php	(revision 1)
@@ -0,0 +1,25 @@
+<?php
+
+  if($env->e !== "redirect" && !$env->erreur)
+  {
+
+    do
+    { if($env->next_e)
+      { $env->e = $env->next_e;
+        $env->next_e = "";
+      }
+      if($env->e !== "redirect")
+      { if($env->e)
+        { if(file_exists($env->path("app")."mods/".$env->mod_path.$env->prefix.$env->e.".php"))
+          { require_once $env->path("app")."mods/".$env->mod_path.$env->prefix.$env->e.".php";
+          }
+          if(function_exists($env->prefix.$env->e)) eval($env->prefix.$env->e."(\$env);");
+        }
+      }
+    }
+    while(!$env->erreur && $env->e !== "redirect" && $env->next_e);
+
+
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/run/08_pre_out.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/run/08_pre_out.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/run/08_pre_out.php	(revision 1)
@@ -0,0 +1,100 @@
+<?php
+
+  if(!$env->erreur)
+  { if($env->e == "forum" || strpos($_SERVER["SCRIPT_NAME"], "index.php") !== false)
+    {
+      # ----------------------------------------------------------------------------------------
+      #                                                                                    blocs
+      #
+
+      if(($env->out["emplacements"] = $env->data->box_emplacements()) === false)
+      { $env->erreur = "Impossible de lire les emplacements";
+      }
+
+      if(($env->out["blocs"] = $env->data->boxes(0, null, true)) === false)
+      { $env->erreur = "Impossible de lire les blocs";
+      }
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                                spotlight
+      #
+
+      if(($env->out["spotlight"] = $env->data->spotlight()) === false)
+      { $env->out["spotlight"] = array();
+      }
+
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                       artistes au hasard
+      #
+
+      if(($env->out["artistes_au_hasard"] = $env->data->artistes_au_hasard(12)) === false)
+      { $env->out["artistes_au_hasard"] = array();
+      }
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                      total des downloads
+      #
+
+      if(($env->out["nb_downloads"] = $env->data->nb_downloads(true)) === false)
+      { $env->out["nb_downloads"] = 0;
+      }
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                               navigation
+      #
+
+      require $env->out_file("utils.php");
+      if(($env->out["menu_top"] = $env->data->all_menus(array("Nav"))) === false)
+      { $env->out["menu_top"] = array();
+      }
+
+      # ----------------------------------------------------------------------------------------
+      #                                                               derniers messages du forum
+      #
+
+      if(($env->out["messages_forum"] = $env->data->forum_last_messages(7)) === false)
+      { $env->out["messages_forum"] = array();
+      }
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                                     news
+      #
+
+      $path = array("root", "news");
+      $depth = 1;
+      if(($env->out["b_categories"] = $env->data->all_news_categories()) !== false)
+      { if(($env->out["b_news"] = $env->data->news($path, 0, $depth, true, 2)) !== false)
+        { 
+        }
+        else $env->erreur .= "<br>Impossible de lire la liste des news";
+      }
+      else $env->erreur .= "<br>Impossible de lire la liste des categories de news";
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                          derniers albums
+      #
+
+//      if(($env->out["last_albums"] = $env->data->albums(0, 2, "date_publication", "DESC")) !== false)
+      if(($env->out["last_albums"] = $env->data->albums(0, 1, "rand()", "", "#--albums.actif=1")) !== false)
+      {
+      }
+      else $env->erreur .= "<br>Impossible de lire les derniers albums";
+
+      # ----------------------------------------------------------------------------------------
+      #                                                                                  charset
+      #
+
+//      header('Content-Type: text/html; charset=iso-8859-1');
+      header('Content-Type: text/html; charset=utf-8');
+
+    }
+  }
+  else
+  { $env->out["spotlight"] = array();
+    $env->out["artistes_au_hasard"] = array();
+    $env->out["nb_downloads"] = 0;
+    $env->out["menu_top"] = array();
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/backend.php
===================================================================
--- /branches/rsr.v5.1.dev/web/backend.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/backend.php	(revision 1)
@@ -0,0 +1,20 @@
+<?php
+
+  require "pathes.php";
+
+  # chargement de l'environnement
+  require RSR_APP_PATH."env.php";
+  $env = new env(RSR_CONFIG_FILE);
+
+  # traitement de la requÃšte
+  $_GET[$env->param("action")] = $_GET[$env->param("e")];
+  $_GET[$env->param("e")] = "backend";
+  require $env->path("app")."main.php";
+
+  # affichage
+  if
+  ( $_GET[$env->param("format")] &&
+    $env->out_file_exists("backend/".$_GET[$env->param("format")].".php")
+  ) require $env->out_file("backend/".$_GET[$env->param("format")].".php");
+
+?>
Index: /branches/rsr.v5.1.dev/web/config.php
===================================================================
--- /branches/rsr.v5.1.dev/web/config.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/config.php	(revision 1)
@@ -0,0 +1,43 @@
+<?php
+
+  # --------------------------------------------------------------
+  #                                                        chemins
+  #
+
+  # chemin absolu a partir de la racine du site
+  $this->PATHES["web"] = "[web_path]";
+
+  # chemin relatifs par rapport a $this->PATHES["web"] (ci-dessus)
+  $this->PATHES["app"] = $path_prefix.RSR_APP_PATH;
+  $this->PATHES["out"] = $this->path("app")."out/dist/";
+  $this->PATHES["uploads"] = $path_prefix."uploads/";
+
+  # --------------------------------------------------------------
+  #                                                base de donnees
+  #
+
+  # sgbd : "mysql", "mysqli", "pgsql" ou "sqlite"
+  $this->bdd["sgbd"] = "[db_type]";
+
+  # parametres de connection
+  $this->bdd["host"] = "[db_host]";
+  $this->bdd["base"] = "[db_base]";
+  $this->bdd["prefix"] = "[db_prefix]";
+  $this->bdd["user"] = "[db_user]";
+  $this->bdd["password"] = "[db_password]";
+
+  # --------------------------------------------------------------
+  #                                                         divers
+  #
+
+  # le nom du site
+  $this->CONFIG["site_name"] = "[site_name]";
+
+  # le nombre maximum des listes sur le site
+  # pour l'affichage des news en page d'accueil ou les listes
+  # des editos, des spotlights (...) dans la partie admin.
+  # au-dela de cette limite, les listes seront presentees sur
+  # plusieur pages
+  $this->CONFIG["max_list"] = 10;
+
+?>
